#
# spec file for package picmi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           picmi
BuildRequires:  libkdegames-devel
BuildRequires:  xz
Summary:        Nonogram Logic game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Logic
Url:            http://www.kde.org
Version:        14.12.2
Release:        0
Source0:        picmi-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
A nonogram logic game for KDE


%prep
%setup -q -n picmi-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %suse_update_desktop_file -r picmi          Game LogicGame
  %kde_post_install

%clean
  rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING
%{_kde4_bindir}/picmi
%{_kde4_htmldir}/en/picmi/
%{_kde4_applicationsdir}/picmi.desktop
%dir %{_kde4_iconsdir}/hicolor/256x256
%dir %{_kde4_iconsdir}/hicolor/256x256/apps
%{_kde4_iconsdir}/hicolor/*/apps/picmi.*
%{_kde4_appsdir}/picmi/

%changelog
